package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.TShouhuanInfo;

/**
 * 手环信息 实时数据Mapper接口
 * 
 * @author ruoyi
 * @date 2023-09-07
 */
public interface TShouhuanInfoMapper 
{
    /**
     * 查询手环信息 实时数据
     * 
     * @param id 手环信息 实时数据主键
     * @return 手环信息 实时数据
     */
    public TShouhuanInfo selectTShouhuanInfoById(Long id);

    /**
     * 查询手环信息 实时数据列表
     * 
     * @param tShouhuanInfo 手环信息 实时数据
     * @return 手环信息 实时数据集合
     */
    public List<TShouhuanInfo> selectTShouhuanInfoList(TShouhuanInfo tShouhuanInfo);

    /**
     * 查询手环信息 实时数据列表
     *
     * @return 手环信息 实时数据集合
     */
    public List<TShouhuanInfo> selectTShouhuanInfo();

    /**
     * 新增手环信息 实时数据
     * 
     * @param tShouhuanInfo 手环信息 实时数据
     * @return 结果
     */
    public int insertTShouhuanInfo(TShouhuanInfo tShouhuanInfo);

    /**
     * 修改手环信息 实时数据
     * 
     * @param tShouhuanInfo 手环信息 实时数据
     * @return 结果
     */
    public int updateTShouhuanInfo(TShouhuanInfo tShouhuanInfo);

    /**
     * 删除手环信息 实时数据
     * 
     * @param id 手环信息 实时数据主键
     * @return 结果
     */
    public int deleteTShouhuanInfoById(Long id);

    /**
     * 批量删除手环信息 实时数据
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTShouhuanInfoByIds(Long[] ids);
}
